from setuptools import find_packages, setup

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name='pymastodon',
    version='0.20.0',
    author='Jesper Fussing Mørk',
    author_email='jfmo@moerks.dk',
    description='Mastodon library for easily creating Mastodon clients',
    long_description=long_description,
    long_description_content_type="text/markdown",
    url='https://gitea.moerks.dk/jfm/pymastodon',
    project_urls={
        "Bug Tracker": "https://gitea.moerks.dk/jfm/pymastodon/issues",
    },
    license='MIT',
    package_dir={"": "src"},
    packages=find_packages(where="src"),
    install_requires=["loguru", "pydantic", "requests"]
)
